Loading...
Searching...
No Matches
search.hpp File Reference

Provides the public interface for search algorithms. More...

`#include <algorithm>`
`#include <ranges>`
`#include <seqan3/core/algorithm/algorithm_result_generator_range.hpp>`
`#include <seqan3/core/algorithm/detail/algorithm_executor_blocking.hpp>`
`#include <seqan3/core/configuration/configuration.hpp>`
`#include <seqan3/search/configuration/default_configuration.hpp>`
`#include <seqan3/search/configuration/on_result.hpp>`
`#include <seqan3/search/configuration/parallel.hpp>`
`#include <seqan3/search/detail/search_configurator.hpp>`
`#include <seqan3/search/detail/search_traits.hpp>`
`#include <seqan3/utility/views/convert.hpp>`
`#include <seqan3/utility/views/deep.hpp>`
`#include <seqan3/utility/views/zip.hpp>`
Include dependency graph for search.hpp:

Go to the source code of this file.

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Functions

template<typename index_t, std::ranges::forward_range queries_t, typename configuration_t = decltype(search_cfg::default_configuration)> requires std::ranges::forward_range<std::ranges::range_reference_t<queries_t>> && std::same_as<range_innermost_value_t<queries_t>, typename index_t::alphabet_type>
auto | seqan3::search (queries_t &&queries, index_t const &index, configuration_t const &cfg=search_cfg::default_configuration)
| Search a query or a range of queries in an index.

## Detailed Description

Provides the public interface for search algorithms.

Author
  Christopher Pockrandt <christopher.pockrandt AT fu-berlin.de>

Hide me